# Generated by Django 2.1.3 on 2020-03-19 11:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('utp', '0001_initial'),
        ('devices', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='service',
            name='node',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik', verbose_name='connection node'),
        ),
        migrations.AddField(
            model_name='service',
            name='node_mismatch',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='utp.Mikrotik', verbose_name='node mismatch'),
        ),
        migrations.AddField(
            model_name='plan',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='devices.Operator'),
        ),
        migrations.AddField(
            model_name='plan',
            name='profile_name',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='utp.SystemProfile'),
        ),
        migrations.AddField(
            model_name='plan',
            name='speeds_system_download',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='speeds_system_plan_download', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='plan',
            name='speeds_system_upload',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='speeds_system_plan_updoad', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='plan',
            name='type_plan',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.TypePLAN'),
        ),
        migrations.AddField(
            model_name='historicaltypeplan',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalservice',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalservice',
            name='node',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik', verbose_name='connection node'),
        ),
        migrations.AddField(
            model_name='historicalservice',
            name='node_mismatch',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik', verbose_name='node mismatch'),
        ),
        migrations.AddField(
            model_name='historicalplanutp',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalplanutp',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.Operator'),
        ),
        migrations.AddField(
            model_name='historicalplanutp',
            name='profile_name',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.SystemProfile'),
        ),
        migrations.AddField(
            model_name='historicalplanutp',
            name='speeds_system_download',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='historicalplanutp',
            name='speeds_system_upload',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='historicalplanutp',
            name='type_plan',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.TypePLAN'),
        ),
        migrations.AddField(
            model_name='historicalplanolt',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalplanolt',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.Operator'),
        ),
        migrations.AddField(
            model_name='historicalplanolt',
            name='profile_name',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.SystemProfile'),
        ),
        migrations.AddField(
            model_name='historicalplanolt',
            name='speeds_system_download',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='historicalplanolt',
            name='speeds_system_upload',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='historicalplanolt',
            name='type_plan',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.TypePLAN'),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.Operator'),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='profile_name',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.SystemProfile'),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='speeds_system_download',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='speeds_system_upload',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.SystemSpeeds'),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='type_plan',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.TypePLAN'),
        ),
        migrations.CreateModel(
            name='PlanOLT',
            fields=[
            ],
            options={
                'ordering': ['-matrix_plan'],
                'proxy': True,
                'indexes': [],
            },
            bases=('customers.plan',),
        ),
        migrations.CreateModel(
            name='PlanUTP',
            fields=[
            ],
            options={
                'ordering': ['-matrix_plan'],
                'proxy': True,
                'indexes': [],
            },
            bases=('customers.plan',),
        ),
    ]
